{% extends 'base.html' %}
{% load humanize %}
{% load static %}
{% block content %}
{% spaceless %}
  <div class="profile">
    <div class="profile-left">
      <div class="user-avatar">
        <div class="placeholder" data-large="{% static 'images/api_lesson.png' %}">
          <img src="{% static 'images/api_lesson.jpg' %}" class="img-small" />
          <div style="padding-bottom: 131.5%;"></div>
        </div>
      </div>
      <div class="user-statistic">
        <div class=""><a href="{% url 'logout' %}"><i class="fas fa-door-closed"></i></a></div>
        <div class=""><a href="{% url 'settings' %}"><i class="fas fa-sliders-h"></i></a></div>
        <div class=""><i class="fas fa-comment-alt"></i><span>{{ comments }}</span></div>
        <div class=""><i class="fas fa-thumbs-up"></i><span>{{ likes }}</span></div>
      </div>
      <div class="user-info">
        <div class=""><label for="">почта</label>{{ user.username }}</div>
        <div class=""><label for="">имя</label>{{ user.first_name }}</div>
        <div class=""><label for="">фамилия</label>{{ user.last_name }}</div>
      </div>
    </div>
    <div class="profile-right">
      <div class="">
        {% block title %}
        <h2>Подписки и сохраненные курсы</h2>
        {% endblock title %}
      </div>
      <div class="grid grid-2">
        {% block profile %}
        {% for course in courses %}
          <div class="grid-item">
            <a href="{% url 'course' course.slug %}">
              <div class="placeholder img" data-large="{{ course.preview.url }}">
                <img src="{{ course.blur.url }}" class="img-small" />
                <div style="padding-bottom: 131.5%;"></div>
              </div>
              <div class="about">
                <time>{{ course.date_add|naturalday }}</time>
                <h5>{{ course.title }}</h5>
              </div>
            </a>
          </div>
        {% empty %}
          <div class="error">
            <h5>пока курсов нет</h5>
          </div>
        {% endfor %}
        {% endblock profile%}
      </div>
    </div>
  </div>
{% endspaceless %}
{% endblock content %}
